package com.javacodegeeks;

/**
 * @author Petros Koulianos
 *
 */

public class StaticVariableExample2 {

	static int counter = 10;
	
	public static void main(String[] args) {
		
		//launch first thread with step= -1
		newThread("first thread",500,1);
		
		
		//launch second thread with step= -3
		newThread("second thread",250,3);
		
	}
	
	public static void newThread(String name , int sleep , int step) {
		
		Thread th = new Thread() {
			@Override
			public void run() {
				
				while(counter != 0) {
					
					System.out.println("**"+name+"** counter:"+counter);
					
					counter = counter - step;
					
					try {
						//sleep the thread to slow down the execution
						Thread.sleep(sleep);
						
					} catch (InterruptedException e) {
						
						e.printStackTrace();
					}
				}
				
			}
			
		};
		
		th.start();
	}

}
